# coding=utf-8

import xbmc
import xbmcaddon

ADDON = xbmcaddon.Addon()


def debugPrint(level, msg):
    if level == 0:
        level = xbmc.LOGERROR
    elif level < 3:
        level = xbmc.LOGWARNING
    elif level < 5:
        level = xbmc.LOGINFO
    else:
        if ADDON.getSetting('debug') == 'true':
            level = xbmc.LOGINFO
        else:
            level = xbmc.LOGDEBUG
    xbmc.log("{0}".format(msg), level)